/* ========================================================================================= */
/* ********************* A Custom Build by Craft & Cloud Marketing Co. ********************* */
/* ========================================================================================= */
/*|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||*/
/*============================= Customer: Weaver Metalworking ===========================*/
/*================================ Build Date: March 2026 ================================*/
/*================================ Developer: Héctor Mejía ===================================*/
/*|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||*/



body {
	margin: 0;
}

img {
	width: 100%;
	height: auto;
}

* {
	font-family: "Inter", sans-serif;
}

a {
	text-decoration: none;
}

p {
	font-size: clamp(15px, 1.4vw, 26px);
}

.layout-container {
	background-image: url(/sites/default/files/2026-03/Group%205.jpg);
}

.fill:hover {
	transform: scale(1.05);
	transition: all 0.5s;
}

.fill, .empty {
	transition: all 0.5s;
}

.empty:hover {
	transform: scale(1.05);
	transition: all 0.5s;
}

.white {
	color: white;
}

.center {
	text-align: center;
}

.bold {
	font-weight: bold;
}

.header-verse {
	text-align: center;
	background-color: #B1B2AD;
	height: 3vw;
	display: flex;
	flex-direction: column;
	align-items: center;
	
	p {
		margin-top: 1vw;
	}
	
	span {
		font-weight: normal;
	}
}

.header-sub a {
	font-size: clamp(14px, 1.2vw, 25px);
	transition: all 0.5s;
}

.header-sub a:hover {
	transform: scale(1.05);
	transition: all 0.5s;
	}
	
.header-sub {
	background-color: #007889;
	display: flex;
	justify-content: center;
	border-bottom: 0.75vw solid #E3B23C;
	padding-top: 2.5vw;
}

.button-border {
	border: 2.5px solid #B1B2AD;
	padding: 0.5vw 1.75vw;
	margin-bottom: -0.5vw;
}

.header-logo {
	width: 22vw;
	margin: auto;
	margin-bottom: -4vw;
	position: relative;
	z-index: 10;
}

.col-1, .col-3 {
	display: flex;
	align-items: flex-end;
	justify-content: space-evenly;
	padding-bottom: 3vw;
	width: 35vw;
}

.footer-main {
	background-color: #313538;
	height: 30vw;
	display: flex;
	flex-direction: column;
	justify-content: center;
	padding-bottom: 1vw;
}

.footer-logo {
	justify-content: center;
	display: flex;
	
	img {
		width: 22vw;
		margin: auto;
	}
}

.footer-menu {
	display: flex;
	justify-content: space-evenly;
	width: 60%;
	margin: 4vw auto;
	
	a {
		font-size: clamp(12px, 1.15vw, 25px);
		transition: all 0.5s;
	}
	
	a:hover {
		transform: scale(1.05);
		transition: all 0.5s;
	}
}

.footer-copy {
	text-align: center;
	color: #B1B2AD;
	margin-bottom: -4vw;
	
	p {
		font-size: clamp(12px, 1.15vw, 25px);
	}
	
	a {
		color: #B1B2AD;
		text-decoration: none; 
	}
}

.home-top {
	text-align: center;
	padding-top: 5vw;
}

.green-columns {
	display: flex;
	
	div {
		text-align: center;
		display: flex;
		flex-direction: column;
		align-items: center;
		gap: 1vw;
	}
	
	p {
		margin-top: 0vw;
	}
	
	.turnkey {
		margin-top: -0.35vw;
	}
	
	.warranty {
		margin-top: -0.95vw;
	}
}

.spacer {
	background: #007889;
	width: 80%;
	margin: 4vw auto;
	height: 1px;
	
}

.dual-buttons {
	text-align: center;
	gap: 2vw;
	display: flex;
	justify-content: center;
	
	a {
		padding: 0.5vw 2.25vw;
		font-weight: bold;
		
	}
	
	.fill {
		background: #007889;
		color: white;
		border: 2px solid #007889;
	}
	
	.empty {
		border: 2px solid #007889;
		color: #007889;
	}
	
	
}

.top-top {
	h1 {
		font-size: 3.5vw;
	}
}

.top-bottom {
	width: 70vw;
	margin: auto;
	
	h5 {
		font-size: 2vw;
	}
}

.home-green {
	background-color: #007889;
	height: 20vw;
	margin: 4vw auto;
	padding-top: 4vw;
	padding-bottom: 1vw;
	
	.dual-buttons{
		margin: 3vw auto;
		.fill {
			background: white;
			color: #007889;
			border-color: white;
		}
		
		.empty {
			color: #B1B2AD;
			border-color: #B1B2AD;
			
		}
	}
}

.green-columns {
	width: 80vw;
	margin: auto;
	display: flex;
	justify-content: space-evenly;
	color: white;
	font-weight: bold;
	
	p {
		font-size: 1.75vw;
	}
	
	img {
		width: 5vw;
	}
}

.yellow-block {
	background-color: #E3B23C;
	width: 80%;
	margin: auto;
	text-align: center;
	padding: 3vw;
}

.categories {
	display: flex;
	justify-content: space-evenly;
	width: 80%;
	margin: auto;
	margin-top: 6vw;
	
	a {
		color: white;
	}
}

.stock, .tooling, .resources {
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	/*width: 15vw;*/
	text-align: center;
}

.resources-photo{
width: 20vw;
height: 13vw;
background-image: url('/sites/default/files/2026-01/thumbnail.jpg');
background-size: 100%;
background-position: 0 50%;
margin-bottom: -9vw;
}

.slash .resource {
	margin-bottom: 2vw;
}

.tooling-photo{
width: 20vw;
height: 13vw;
background-image: url('/sites/default/files/2026-01/services.jpg');
background-size: 100%;
margin-bottom: -9vw;
}


.stock-photo{
width: 20vw;
height: 13vw;
background-image: url('/sites/default/files/2026-01/stock.jpg');
background-size: 100%;
margin-bottom: -9vw;
}


.slash {
	background-color: #007889;
	height: 15vw;
	width: 20vw;
	clip-path: polygon(0 40%, 100% 55%, 100% 100%, 0% 100%);
	display: flex;
	align-items: flex-end;
	justify-content: center;
	
	h4 {
		font-size: 2.85vw;
		margin: 0.5vw;
		line-height: 1;
	}
}

.slash-main {
	background-color: #B1B2AD;
	height: 15.2vw;
	clip-path: polygon(0 40%, 100% 55%, 100% 100%, 0% 100%);
	padding-top: 3px;
	width: 20vw;
	display: flex;
	align-items: flex-end;
}

.titles, .circles {
	display: flex;
	width: 60%;
	margin: auto;
	justify-content: space-around;
	text-align: center;
	font-weight: bold;
}

.triple-circles, .mobile-rounds {
	h4 {
		text-align: center;
		font-size: 2.30vw;
	}
	
	.spacer {
		margin: 1vw auto;
	}
	
	.dual-buttons {
		margin-top: 2vw;
		margin-bottom: 4vw;
	}
}

.round {
	border-radius: 50%;
	background-color: #E3B23C;
	color: white;
	width: 8vw;
	height: 8vw;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 4.7vw;
}

.mobile-rounds {
	display: none;
}

.about {
	display: flex;
	align-items: center;
	flex-direction: column;
	padding: 4vw 15vw 6vw 15vw;
	text-align: center;
	
	h1 {
		font-size: 3.5vw;
	}
}

.location {
	display: flex;
	align-items: center;
	flex-direction: column;
	padding-bottom: 12vw;
	
	
	h3 {
		font-size: 3.5vw;
		margin-bottom: 0;
	}
}

.map-iframe {
	border: .75vw solid #007889;
}

.map-border {
	border: 2px solid #E3B23C;
}

iframe {
	width: 60vw;
	height: 35vw;
	margin: auto;
	margin-bottom: -0.25vw;
}

#block-cirrocumulus-webform {
	background-color: #007889;
	display: flex;
	flex-direction: column;
	align-items: center;
	padding-top: 6vw;
	padding-bottom: 6vw;
	text-align: center;
	
	input, textarea {
		width: 45vw;
		border: 2px solid #B1B2AD;
		background-color: #007889;
		margin: 0.5vw;
		color: #B1B2AD;
		font-size: 1.4vw;
	}
	
	textarea {
		height: 10vw;
	}
	
	#edit-actions-submit {
		width: 10vw;
		color: #007889;
		font-weight: bold;
		padding: 0.35vw;
		font-size: 1.4vw;
		background: white;
		border: 0;
		margin-top: 1.5vw;
	}
}

#block-cirrocumulus-webform-2 {
	background-color: #007889;
	display: flex;
	flex-direction: column;
	align-items: center;
	padding-top: 6vw;
	padding-bottom: 6vw;
	text-align: center;
	
	input, textarea {
		width: 45vw;
		border: 2px solid #B1B2AD;
		background-color: #007889;
		margin: 0.5vw;
		color: #B1B2AD;
		font-size: 1.4vw;
	}
	
	textarea {
		height: 10vw;
	}
	
	#edit-actions-submit {
		width: 10vw;
		color: #007889;
		font-weight: bold;
		padding: 0.35vw;
		font-size: 1.4vw;
		background: white;
		border: 0;
		margin-top: 1.5vw;
		transition: all 0.5s;
	}
	
	#edit-actions-submit:hover {
		transform: scale(1.05);
		transition: all 0.5s;
	}
	
	
}


input::placeholder, textarea::placeholder {
	color: #B1B2AD;
	text-align: center;
}

.webform-title {
	text-align: center;
	color: white;
	font-size: 3.5vw;
	margin-bottom: 1vw;
}

.yellow-spacer {
	width: 90%;
	background: #e3b23c;
	height: 1vw;
	margin-top: -.5vw;
}

#block-cirrocumulus-inventorymenu-2, #block-cirrocumulus-inventorymenu  {
	width: 20vw;
	background-color: lightgray;
	padding: 1vw;
	margin-left: 2vw;
	margin-top: 2vw;
	margin-bottom: 2vw;
	font-size: clamp(12px, 1.15vw, 14px);
	min-height: 40vw;
	position: absolute;
	top: 17vw;
	
	li a {
		color: black;
		font-weight: bold;
	}
}

/*#block-cirrocumulus-brandsmenu  {
	width: 20vw;
	background-color: lightgray;
	padding: 1vw;
	margin-left: 2vw;
	margin-top: 2vw;
	margin-bottom: 2vw;
	font-size: 0.85vw;
	min-height: 10vw;
	position: absolute;
	top: 17vw;
	
	li a {
		color: black;
		font-weight: bold;
	}
}
*/


.tiles {
	width: 60%;
	margin: auto;
	padding-top: 7vw;
	padding-left: 12vw;
	min-height: 40vw;
	
	h2, a {
		color: white;
		background: #007889;
		border-bottom: 5px solid #E3B23C;
		width: 13vw;
		height: 4vw;
		display: flex;
		justify-content: center;
		align-items: center;
		text-align: center;
		padding: 0;
		margin: 0;
		font-weight: bold;
	}
	
	.views-view-responsive-grid__item {
		display: flex;
		justify-content: center;
		margin-bottom: 2vw;
	}
}

.title-prod a{
	color: black;
	margin-left: 1vw;
	text-indent: 4vw;
	font-size: 2.25vw;
}

#block-cirrocumulus-finalproduct {
	display: flex;
	margin-top: 8vw;
}

.product-info-section {
	width: 75vw;
	margin: auto;
	padding-top: 6vw;
	padding-bottom: 5vw;
	/*margin-left: 4vw;*/
	
	img {
		width: inherit;
	}
	
	.small {
		font-size: 1vw;
	}
}

.product-flex {
	display: flex;
}

.page-node-type-inventory-item-upload {
.prod-images a:first-of-type img { 
	
	width: 40vw;
	
}
}

.prod-info {
	margin-left: 5vw;
	margin-right: 5vw;
		a {
			color: black;
			cursor: copy;
		}
}

.list-image {
	display: flex;
	align-items: center;
	img {
		width: inherit;
		filter: drop-shadow(2px 4px 6px black);
		border-radius: 8px;
	}
}

.list-flex {
	display: flex;
	border-bottom: 1px solid black;
	margin-bottom: 2vw;
}

.list-container {
	width: 60vw;
	margin: auto;
	
	a {
		color: black;
	}
}

.list-info {
	margin-left: 3vw;
	min-height: 17vw;
}

.service-photo {
	img {
		width: inherit;
	}
}

.services-list {
    .list-image {
		margin-bottom: 2vw;
	}	
}

#block-cirrocumulus-machinelistgroup {
	display: flex;
	padding-top: 6vw;
}

#block-cirrocumulus-views-block-inventory-items-list-block-1 {
	margin-left: 3vw;
}


.resource-grid-main {
	width: 85vw;
	margin: auto;
	margin-top: 10vw;
	
	a {
		color: black;
	}
	
	.views-exposed-form {
		display: flex;
		gap: 1vw;
		
		#edit-actions {
			display: flex;
			gap: 1vw;
		}
	}
	
	.pager__items {
		display: flex;
		width: 80vw;
		margin: auto;
		justify-content: center;
		gap: 2vw;
		font-weight: bold;
		a {
			color: black;
		}
	}
}

.pager__items {
	display: flex;
	width: 80vw;
	margin: auto;
	justify-content: center;
	gap: 2vw;
	font-weight: bold;
	padding-bottom: 2vw;
	a {
		color: black;
	}
}

#edit-keys--description {
	font-style: italic;
	font-size: 0.65vw;
	font-weight: bold;
}

.tag {
	font-size: 1vw;
}

#block-cirrocumulus-views-block-category-tiles-block-2:has(.views-view-responsive-grid) + #block-cirrocumulus-views-block-inventory-items-list-block-1-2{
	display: none;
}

.services-heading {
	font-size: 3vw;
}

.machine-list-final {
	margin-top: -42vw;
	min-height: 45vw;
	padding-left: 15vw;
}

/*#block-cirrocumulus-views-block-parts-list-block-1 {
	padding-left: 15vw;
}*/

#views-exposed-form-inventory-items-list-block-1, #views-exposed-form-parts-list-block-1 {
	display: flex;
	margin-left: 12vw;
	gap: 1vw;
}



#block-cirrocumulus-views-block-tooling-tiles-top-level-block-1 {
	padding-top:4vw;
	
	.tiles a {
		padding: 1vw;
		
	}
}

.path-tooling {
	.tiles {
		padding-left: 0;
		min-height: auto;
		padding-top: 0;
	}
}

#block-cirrocumulus-views-block-tooling-list-block-1, #block-cirrocumulus-views-block-parts-list-block-1 {
	padding-top: 6vw;
}

#privacy-policy {
	max-width: 1200px;
	margin: auto;
	padding: 1.5em;
	font-family: helvetica;
}

.div-link:hover {
	cursor: pointer;
}

@media screen and (min-width: 751px) and (max-width: 1500px) {
	.path-parts {
		.list-image  {
			padding-top: 2vw;
			padding-bottom: 2vw;
		}
	}
}




@media screen and (min-width: 751px) and (max-width: 1256px) {
	.path-tooling {
		.list-image img {
			width: 30vw;
		}
	}
}

@media screen and (min-width: 751px) and (max-width: 1000px) {
	.tiles {
		h2, a {
			width: 20vw;
			height: 9vw;
			font-size: 19px;
		}
	}
}

@media screen and (min-width: 1001px) and (max-width: 1475px) {
	.tiles {
		min-height: 50vw;
		h2, a {
			width: 18vw;
			height: 7vw;
			font-size: 20px;
		}
	}
}

@media screen and (max-width: 750px) {
	p {
		font-size: 6vw;
	}
	
	.header-verse {
		height: 14vw;
		padding-top: 2vw;
		
		p {
			margin-left: 1vw;
			margin-right: 1vw;
			font-size: 4.25vw;
		}
	}
	
	.header-sub {
		border-width: 2vw;
		padding-top: 6vw;
		
		.col-1, .col-3 {
			display: none;
		}
	}
	
	.header-logo {
		width: 65vw;
		margin-bottom: -18vw;
	}
	
	.footer-main {
		height: 95vw;
		justify-content: flex-end;
		padding-bottom: 4vw;
	}
	.footer-menu {
		flex-direction: column;
		gap: 1.5vw;
		align-items: center;
		a {
			font-size: 4vw;
		}
	}
	
	.footer-copy p {
		font-size: 3.25vw;
		width: 80vw;
		margin: auto;
		margin-bottom: 4vw;
	}
	
	.footer-logo img {
		width: 50vw;
	}
	
	.categories {
		flex-direction: column;
		align-items: center;
		gap: 6vw;
		
		
	}
	
	
	
	.slash-main, .slash, .stock-photo, .tooling-photo, .resources-photo {
		width: 80vw;
		
	}
	
	.stock-photo, .tooling-photo, .resources-photo {
		height: 50vw;
		margin-bottom: -22vw;
	}
	
	.slash-main {
		height: 35.5vw; 
	}
	
	.slash {
		height: 35vw;
		
		h4 {
			font-size: 6.25vw;
			margin: 2.5vw;
		}
	}
	.slash {
		.resource {
			margin-bottom: 5vw;
		}
	}
	
	.dual-buttons {
		flex-direction: column;
		align-items: center;
		width: 60vw;
		margin: auto;
		text-align: center;
	}
	
	.home-green {
		height: 160vw;
		padding-top: 12vw;
	}
	
	.home-top {
		padding-top: 25vw;
	}
	
	.spacer {
		margin: 8vw auto;
		width: 65%;
	}
	
	.top-top {
		h1 {
			font-size: 8vw;
			width: 50vw;
			margin: auto;
			margin-bottom: 15vw;
		}
	}
	
	.top-bottom {
		h5 {
			font-size: 6vw;
		}
	}
	
	.green-columns {
		flex-direction: column;
		p {
			font-size: 5vw;
		}
		img {
			width: 20vw;
		}
	}
	
	.yellow-block {
		margin-top: 20vw;
		margin-bottom: 20vw;
	}
	
	.mobile-rounds {
		display: flex;
		flex-direction: column;
		align-items: center;
		padding-top: 12vw;
		padding-bottom: 12vw;
		
		h4 {
			font-size: 6vw;
		}
	}
	
	.item {
		align-items: center;
		display: flex;
		flex-direction: column;
		text-align: center;
		font-weight: bold;
		width: 80%;
		margin: auto;
		margin-top: 4vw;
		margin-bottom: 4vw;
		
		.spacer {
			margin-top: 6vw;
			width: 100%;
		}
	}
	
	.triple-circles {
		display: none;
	}
	
	.round {
		width: 30vw;
		height: 30vw;
		font-size: 18vw;
		font-weight: bold;
	}
	
	.fill, .empty {
		width: 40vw;
	}
	
	.about { 
		padding: 16vw 5vw 6vw 5vw;
		
		h2 {
			font-size: 8vw;
		}
	}
	
	.location {
		text-align: center;
		
		h3 {
			font-size: 8vw;
		}
	}
	
	iframe {
		width: 85vw;
		height: 95vw;
		margin-bottom: -0.75vw;
	}
	
	#block-cirrocumulus-webform {
		input, textarea {
			width: 80vw;
			font-size: 6vw;
			margin: 2vw;
		}
		
		textarea {
			height: 40vw;
		}
		
		#edit-actions-submit {
			font-size: 6vw;
			width: 40vw;
		}
		
	}
	
	#block-cirrocumulus-webform-2 {
		input, textarea {
			width: 80vw;
			font-size: 6vw;
			margin: 2vw;
		}
		
		textarea {
			height: 40vw;
		}
		
		#edit-actions-submit {
			font-size: 6vw;
			width: 40vw;
		}
		
	}
	
	.yellow-spacer {
		height: 2vw;
		margin-top: -1vw;
	}
	
	
	
	.webform-title {
		font-size: 8vw;
	}
	
	.product-flex {
		flex-direction: column;
	}
	
	.prod-info {
		width: 80vw;
	}
	
	.product-info-section {
		width: 90vw;
		padding-top: 12vw;
		
		.small {
			font-size: 5vw;
		}
	}
	
	.prod-images {
		img {
			/*width: 200px;*/
		}
	}
	
	.title-prod a {
		font-size: 10vw;
	}
	
	.list-flex {
		flex-direction: column;
	}
	
	.list-container {
		width: 85vw;
		padding-top: 4vw;
	}
	
	.list-info {
		margin-left: auto;
	}
	
	.list-image {
		justify-content: center;
		width: 85vw;
	}
	
	.views-view-responsive-grid--horizontal {
		--views-responsive-grid--column-count: 1 !important;
	}
	
	#block-cirrocumulus-views-block-pdf-resource-grid-block-1{
		margin-top: 16vw;
	}
	
	.tag {
		font-size: 3.5vw;
	}
	
	#toggle-icon {
		margin-bottom: -27vw;
		
		.label {
			display: none;
		}
	}
	
	.responsive-menu-toggle-icon {
		margin-top: 13vw;
	}
	
	#block-cirrocumulus-header {
		margin-top: -5vw;
	}
	
	.resource-grid-main {
		.pager__items {
			gap: 5vw;
		}
	}
	
	#block-cirrocumulus-inventorymenu-2, #block-cirrocumulus-inventorymenu {
		display: none;
	}
	
	.tiles {
		padding-left: 0;
		h2, a {
			width: 65vw;
			height: 16vw;
		}
	}
	
	#block-cirrocumulus-views-block-category-tiles-block-1, #block-cirrocumulus-views-block-category-tiles-block-2, #block-cirrocumulus-views-block-tooling-tiles-top-level-block-1,#block-cirrocumulus-views-block-parts-list-block-1 {
		padding-top: 22vw;
		padding-bottom: 6vw;
	}
	
	.machine-list-final {
		padding-left: 0;
	}
	
	.services-heading {
		font-size: 8vw;
	}
	
	#views-exposed-form-parts-list-block-1 {
		display: block;
		margin-left: 12vw;
	}
	
	#edit-keys--description {
		font-size: 2.5vw;
	}
	
}




